<div id="table-custom">
  <div class="row px-3 mb-2">
    <div class="col-md-12">
      <button pButton
              type="button"
              *ngIf="showButtonNew"
              label="Adicionar"
              icon="pi pi-plus"
              routerLinkActive
              [routerLink]="navigateToFormOnAdd ? 'form' : null"
              (click)="addObject()"
              class="p-button-plain mr-1">
      </button>
      <button pButton
              type="button"
              *ngIf="showButtonEdit"
              label="Editar"
              icon="pi pi-pencil"
              class="p-button-secondary mr-1"
              [disabled]="verifyDisableEdit()"
              (click)="editObject()">
      </button>
      <button pButton
              type="button"
              *ngIf="showButtonDelete"
              label="Excluir"
              icon="pi pi-trash"
              class="p-button-danger"
              [disabled]="verifyDisableDelete()"
              (click)="deleteObject()">
      </button>
    </div>
  </div>

  <p-table #table
           [value]="objectList"
           [paginator]="paginatorIsActive"
           [totalRecords]="totalElements"
           [rows]="10"
           [lazy]="true"
           [responsive]="true"
           [rowHover]="true"
           [(selection)]="selectedObjects"
           [showCurrentPageReport]="objectList?.length > 0"
           currentPageReportTemplate="Mostrando {first} - {last} de {{totalElements}} registros"
           [rowsPerPageOptions]="[5,10,25,50]">
    <ng-template pTemplate="header">
      <tr>
        <th *ngIf="showTableCheckbox" style="width: 3rem">
          <p-tableHeaderCheckbox></p-tableHeaderCheckbox>
        </th>
        <th *ngFor="let col of columns"
            [pSortableColumn]="col.field"
            [pSortableColumnDisabled]="!sortIsActive">
          {{col.header}}
          <p-sortIcon *ngIf="sortIsActive" [field]="col"></p-sortIcon>
        </th>
      </tr>
    </ng-template>
    <ng-template pTemplate="body" let-object let-rowIndex="rowIndex">
      <tr [pSelectableRow]="object">
        <td *ngIf="showTableCheckbox">
          <p-tableCheckbox [value]="object"></p-tableCheckbox>
        </td>
        <td *ngFor="let col of columns">
          <span class="{{getClasses(object, col)}}"
                style="{{getStyles(object, col)}}">
            {{getValue(object, col)}}
          </span>
        </td>
      </tr>
    </ng-template>
  </p-table>
</div>

<app-empty-table [dataSource]="objectList"
                 (onAddObject)="addObject()"
                 [navigateToFormOnAdd]="navigateToFormOnAdd"
                 routerLinkToForm="form"
                 showSubtitle="true">
</app-empty-table>
